Package weka.core.pmml.jaxbbindings

# Class Node

java.lang.Object
weka.core.pmml.jaxbbindings.Node

public class Node extends Object

Java class for Node element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Node">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <group ref="{http://www.dmg.org/PMML-4_1}PREDICATE"/>
               <choice>
                 <sequence>
                   <element ref="{http://www.dmg.org/PMML-4_1}Partition" minOccurs="0"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}ScoreDistribution" maxOccurs="unbounded" minOccurs="0"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}Node" maxOccurs="unbounded" minOccurs="0"/>
                 </sequence>
                 <group ref="{http://www.dmg.org/PMML-4_1}EmbeddedModel"/>
               </choice>
             </sequence>
             <attribute name="defaultChild" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="recordCount" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="score" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Node()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getContent()`
  Gets the rest of the content model.
  `String`
  `getDefaultChild()`
  Gets the value of the defaultChild property.
  `String`
  `getId()`
  Gets the value of the id property.
  `Double`
  `getRecordCount()`
  Gets the value of the recordCount property.
  `String`
  `getScore()`
  Gets the value of the score property.
  `void`
  `setDefaultChild(String value)`
  Sets the value of the defaultChild property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setRecordCount(Double value)`
  Sets the value of the recordCount property.
  `void`
  `setScore(String value)`
  Sets the value of the score property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Node

    public Node()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the rest of the content model.

    You are getting this "catch-all" property because of the following reason: The field name "Extension" is used by two different parts of a schema. See: line 1845 of file:/home/david/workspace/weka/pmml-4-1.xsd line 1658 of file:/home/david/workspace/weka/pmml-4-1.xsd

    To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

            getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `Regression` `SimpleSetPredicate` `SimplePredicate` `False` `Node` `ScoreDistribution` `DecisionTree` `True` `CompoundPredicate` `Extension` `Partition`

  - ### getDefaultChild

    public String getDefaultChild()
    Gets the value of the defaultChild property.
    Returns:
      possible object is `String`

  - ### setDefaultChild

    public void setDefaultChild(String value)
    Sets the value of the defaultChild property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRecordCount

    public Double getRecordCount()
    Gets the value of the recordCount property.
    Returns:
      possible object is `Double`

  - ### setRecordCount

    public void setRecordCount(Double value)
    Sets the value of the recordCount property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getScore

    public String getScore()
    Gets the value of the score property.
    Returns:
      possible object is `String`

  - ### setScore

    public void setScore(String value)
    Sets the value of the score property.
    Parameters:
      `value` - allowed object is `String`